Bug 1646357 - Repositories proxy setting 'Ignore Global HTTP Capsule' confusing
Summary: Repositories proxy setting 'Ignore Global HTTP Capsule' confusing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Branding
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks: 1122832
TreeView+ depends on / blocked
 
Reported: 2018-11-05 12:56 UTC by Peter Vreman
Modified: 2020-04-14 13:23 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-foreman_theme_satellite-5.0.1.7-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:23:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:23:40 UTC

Description Peter Vreman 2018-11-05 12:56:49 UTC
Description of problem:
The text 'GLobal HTTP Capsule' is strange to read. It shall be 'Global HTTP Proxy' and not being part of the Proxy->Capsule replacements.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Edit repository in UI
2. Look at the option names below 'Sync Settings' and search for the http proxy


Actual results:
There is 'Ignore Global HTTP Capsule'

Expected results:
It shall be ;Ignore Global HTTP Proxy'

Additional info:

Comment 3 Stephen Wadeley 2019-02-26 20:56:18 UTC
see also

Bug 1657302 - HTTP Proxies option called "HTTP Capsules" in menus.

Comment 5 Peter Vreman 2019-03-11 14:50:01 UTC
Still not fixed in 6.5

Comment 7 Bryan Kearney 2019-12-03 16:34:37 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Red Hat Technical Support or your account team. If we do not hear from you, we will close this bug out. Thank you.

Comment 8 Bryan Kearney 2020-01-15 20:30:17 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support. Thank you.

Comment 9 Bryan Kearney 2020-01-15 20:30:19 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support. Thank you.

Comment 11 Stephen Wadeley 2020-01-16 10:39:35 UTC
Hello

In 6.6 the check box title is now:
Ignore Global HTTP Proxy

[root@dhcp-3-191 ~]# rpm -q tfm-rubygem-foreman_theme_satellite
tfm-rubygem-foreman_theme_satellite-4.0.1.7-1.el7sat.noarch
[root@dhcp-3-191 ~]# rpm -q satellite
satellite-6.6.1.1-1.el7sat.noarch

--------------------------------

6.7 there is a menu called "HTTP Proxy" and all the options do not mention Capsule

[root@dhcp-3-165 ~]# rpm -q tfm-rubygem-foreman_theme_satellite
tfm-rubygem-foreman_theme_satellite-5.0.1.7-1.el7sat.noarch
[root@dhcp-3-165 ~]# rpm -q satellite
satellite-6.7.0-5.beta.el7sat.noarch

Comment 12 Radovan Drazny 2020-03-11 11:58:34 UTC
Checked on Sat 6.7 Snap 15 (tfm-rubygem-foreman_theme_satellite-5.0.1.9-1.el7sat.noarch). The configuration menu for repo HTTP proxy has following items:
  - Global Default
  - No HTTP Proxy
  - Use specific HTTP Proxy

Comment 15 errata-xmlrpc 2020-04-14 13:23:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.